﻿@{
    Layout = null;
}
<div class="bg-white body-view" style="border: 2px solid #666666; width: 765px; padding: 0 20px 20px;">
    <div class="place-left">
        <a class="action on-left-more" onclick="window.history.back()">
            <i style="margin-top: 11px;" class="icon-arrow-left fg-black"></i>
        </a>
    </div>
    <div class="place-left">
        <h1 class="no-margin">
            Add Season
        </h1>
    </div>
    <div class="clearfix"></div>
    <hr />
    <div class="input-control select" data-role="input-control">
        <select ng-model="addNew" ng-init="addNew = 'true'">
            <option value="true">Create a new season from scratch</option>
            <option value="false">Copy an existing season</option>
        </select>
    </div>
    <form ng-if="addNew" name="addNewSeasonForm" ng-submit="MC.addNewSeasonFromTempModels()" class="no-margin">
        <label for="MC.tempModels.Season.Title">Name</label>
        <div class="input-control text" data-role="input-control">
            <input autofocus="" tabindex="0" id="MC.tempModels.Season.Title" type="text" ng-model="MC.tempModels.Season.Title" ng-change="MC.tempModels.Season.Domain = MC.utils.removeSpecialChars(MC.tempModels.Season.Title)" required="" />
            <button class="btn-clear" tabindex="-1"></button>
        </div>
        <small class="fg-gray clearfix"><span class="place-left">Registration page URL: https://SamsClub.jumbula.com/</span><span ng-class="{'bg-grayLighter': domainIsEditing == false}" ng-init="domainIsEditing = false"><input ng-show="domainIsEditing" type="text" ng-pattern="/[a-zA-Z0-9]+/" id="MC.tempModels.Season.Domain" class="place-left" ng-model="MC.tempModels.Season.Domain" required="" name="Domain_field" ng-change="MC.tempModels.Season.Domain = MC.utils.removeSpecialChars(MC.tempModels.Season.Domain)" ng-blur="domainIsEditing = false" /><span ng-hide="domainIsEditing" ng-bind="MC.tempModels.Season.Domain" ng-click="domainIsEditing = true" class="place-left"></span><label for="MC.tempModels.Season.Domain" class="place-left no-margin" style="padding-left: 5px;"><span ng-click="domainIsEditing = true" ng-hide="domainIsEditing" class="fg-blue">Edit</span><span ng-click="domainIsEditing = false" ng-show="domainIsEditing" class="fg-green">Save</span></label></span></small>
        <label for="MC.tempModels.Season.Description">Description</label>
        <div class="input-control textarea" data-role="input-control">
            <textarea tabindex="1" id="MC.tempModels.Season.Description" type="text" ng-model="MC.tempModels.Season.Description"></textarea>
        </div>

        <input tabindex="2" type="submit" value="Create season and continue" class="success" ng-disabled="!addNewSeasonForm.$valid">
    </form>
    <form ng-if="addNew != 'true'" name="addNewSeasonForm" ng-submit="MC.addNewSeasonFromExistingSeason()" class="no-margin">
        <label>Season template</label>
        <div class="input-control select" data-role="input-control">
            <select ng-model="MC.tempModels.Season.Domain" ng-options="season.Domain as season.Title for season in MC.seasons"></select>
        </div>

        <input tabindex="2" type="submit" value="Create season and continue" class="success" ng-disabled="!addNewSeasonForm.$valid">
    </form>
    @*<h6 class="help">Need Help?</h6>*@
</div>
